SeExpr

Public Member Functions | Private Slots | Private Attributes | List of all members
ExprFileDialog Class Reference

`#include <ExprFileDialog.h>`

Inheritance diagram for ExprFileDialog:

## Public Member Functions
| ExprFileDialog (QWidget *parent=0)
void | addLookInEntries (QStringList paths)
void | saveLookInEntries ()
void | restoreLookInEntries ()
QString | getOpenFileName (const QString &caption=QString::null, const QString &startWith=QString::null, const QString &filter=QString::null)
QString | getExistingDirectory (const QString &caption=QString::null, const QString &startWith=QString::null, const QString &filter=QString::null)
QString | getExistingOrNewDirectory (const QString &caption=QString::null, const QString &startWith=QString::null, const QString &filter=QString::null)
QStringList | getOpenFileNames (const QString &caption=QString::null, const QString &startWith=QString::null, const QString &filter=QString::null)
QString | getSaveFileName (const QString &caption=QString::null, const QString &startWith=QString::null, const QString &filter=QString::null)
void | setPreview ()
void | resetPreview ()
void | addCheckBox (QString s)
void | addFavoritesButton (QString dirname, QString linkname, QString linkdir)
bool | checkBoxStatus ()
void | showCheckBox ()
void | hideCheckBox ()
void | addComboBox (QString s, QStringList sl)
void | showComboBox ()
void | hideComboBox ()
QComboBox * | getComboBox ()
void | setButtonName (const QString &str)
void | addSidebarShortcut (const QString &s)

## Private Slots
void | handleOk ()
void | editReturnPress ()
void | gotoFavorites ()
void | selChanged (const QString &path)
void | resetDir ()

## Private Attributes
QString | _workingDirectory
QString | _favDir
QString | _temppath
QStringList | _lookInList
QLineEdit * | _nameEdit
QPushButton * | _okButton
bool | _createDir
ExprPreviewWidget * | _pw
QCheckBox * | _cb
QLabel * | _combolabel
QComboBox * | _combo

## Detailed Description

Definition at line 42 of file ExprFileDialog.h.

## Constructor & Destructor Documentation

## ◆ ExprFileDialog()

ExprFileDialog::ExprFileDialog | ( | QWidget * | parent = `0` | ) |

Definition at line 75 of file ExprFileDialog.cpp.

References _cb, _combo, _combolabel, _createDir, _favDir, _nameEdit, _okButton, _pw, _temppath, editReturnPress(), handleOk(), and selChanged().

## Member Function Documentation

## ◆ addCheckBox()

void ExprFileDialog::addCheckBox | ( | QString | s | ) |

Definition at line 341 of file ExprFileDialog.cpp.

References _cb, and _combo.

## ◆ addComboBox()

void ExprFileDialog::addComboBox | ( | QString | s,
|  | QStringList | sl
| ) |  |

Definition at line 364 of file ExprFileDialog.cpp.

References _combo, _combolabel, and it.

## ◆ addFavoritesButton()

void ExprFileDialog::addFavoritesButton | ( | QString | dirname,
|  | QString | linkname,
|  | QString | linkdir
| ) |  |

Definition at line 165 of file ExprFileDialog.cpp.

References _favDir, folder_fav, and gotoFavorites().

## ◆ addLookInEntries()

void ExprFileDialog::addLookInEntries | ( | QStringList | paths | ) |

Definition at line 200 of file ExprFileDialog.cpp.

References it.

## ◆ addSidebarShortcut()

void ExprFileDialog::addSidebarShortcut | ( | const QString & | s | ) |

Definition at line 398 of file ExprFileDialog.cpp.

## ◆ checkBoxStatus()

bool ExprFileDialog::checkBoxStatus | ( |  | ) |

Definition at line 351 of file ExprFileDialog.cpp.

References _cb.

## ◆ editReturnPress

void ExprFileDialog::editReturnPress | ( |  | ) |
| private slot

Definition at line 134 of file ExprFileDialog.cpp.

References _nameEdit, and handleOk().

Referenced by ExprFileDialog().

## ◆ getComboBox()

QComboBox* ExprFileDialog::getComboBox | ( |  | ) |
| inline

Definition at line 74 of file ExprFileDialog.h.

References _combo.

## ◆ getExistingDirectory()

QString ExprFileDialog::getExistingDirectory | ( | const QString & | caption = `QString::null`,
|  | const QString & | startWith = `QString::null`,
|  | const QString & | filter = `QString::null`
| ) |  |

Definition at line 274 of file ExprFileDialog.cpp.

References _workingDirectory, makeFiltersList(), and resetPreview().

Referenced by StringControl::directoryBrowse(), and getExistingOrNewDirectory().

## ◆ getExistingOrNewDirectory()

QString ExprFileDialog::getExistingOrNewDirectory | ( | const QString & | caption = `QString::null`,
|  | const QString & | startWith = `QString::null`,
|  | const QString & | filter = `QString::null`
| ) |  |

Definition at line 295 of file ExprFileDialog.cpp.

References _createDir, getExistingDirectory(), and resetPreview().

## ◆ getOpenFileName()

QString ExprFileDialog::getOpenFileName | ( | const QString & | caption = `QString::null`,
|  | const QString & | startWith = `QString::null`,
|  | const QString & | filter = `QString::null`
| ) |  |

Definition at line 229 of file ExprFileDialog.cpp.

References _workingDirectory, makeFiltersList(), and resetPreview().

Referenced by StringControl::fileBrowse().

## ◆ getOpenFileNames()

QStringList ExprFileDialog::getOpenFileNames | ( | const QString & | caption = `QString::null`,
|  | const QString & | startWith = `QString::null`,
|  | const QString & | filter = `QString::null`
| ) |  |

Definition at line 251 of file ExprFileDialog.cpp.

References _workingDirectory, makeFiltersList(), and resetPreview().

## ◆ getSaveFileName()

QString ExprFileDialog::getSaveFileName | ( | const QString & | caption = `QString::null`,
|  | const QString & | startWith = `QString::null`,
|  | const QString & | filter = `QString::null`
| ) |  |

Definition at line 305 of file ExprFileDialog.cpp.

References _workingDirectory, makeFiltersList(), and resetPreview().

## ◆ gotoFavorites

void ExprFileDialog::gotoFavorites | ( |  | ) |
| private slot

Definition at line 196 of file ExprFileDialog.cpp.

References _favDir.

Referenced by addFavoritesButton().

## ◆ handleOk

void ExprFileDialog::handleOk | ( |  | ) |
| private slot

Definition at line 113 of file ExprFileDialog.cpp.

References _createDir, _nameEdit, _okButton, _temppath, and resetDir().

Referenced by editReturnPress(), and ExprFileDialog().

## ◆ hideCheckBox()

void ExprFileDialog::hideCheckBox | ( |  | ) |

Definition at line 360 of file ExprFileDialog.cpp.

References _cb.

## ◆ hideComboBox()

void ExprFileDialog::hideComboBox | ( |  | ) |

Definition at line 385 of file ExprFileDialog.cpp.

References _combo, and _combolabel.

## ◆ resetDir

void ExprFileDialog::resetDir | ( |  | ) |
| inline private slot

Definition at line 84 of file ExprFileDialog.h.

References _temppath.

Referenced by handleOk().

## ◆ resetPreview()

void ExprFileDialog::resetPreview | ( |  | ) |

Definition at line 337 of file ExprFileDialog.cpp.

References _pw, and ExprPreviewWidget::reset().

Referenced by getExistingDirectory(), getExistingOrNewDirectory(), getOpenFileName(), getOpenFileNames(), and getSaveFileName().

## ◆ restoreLookInEntries()

void ExprFileDialog::restoreLookInEntries | ( |  | ) |

Definition at line 212 of file ExprFileDialog.cpp.

References _lookInList.

## ◆ saveLookInEntries()

void ExprFileDialog::saveLookInEntries | ( |  | ) |

Definition at line 210 of file ExprFileDialog.cpp.

References _lookInList.

## ◆ selChanged

void ExprFileDialog::selChanged | ( | const QString & | path | ) |
| private slot

Definition at line 390 of file ExprFileDialog.cpp.

References _pw, and ExprPreviewWidget::makePreview().

Referenced by ExprFileDialog().

## ◆ setButtonName()

void ExprFileDialog::setButtonName | ( | const QString & | str | ) |

Definition at line 394 of file ExprFileDialog.cpp.

References _okButton.

## ◆ setPreview()

void ExprFileDialog::setPreview | ( |  | ) |

Definition at line 327 of file ExprFileDialog.cpp.

References _pw.

Referenced by StringControl::directoryBrowse(), and StringControl::fileBrowse().

## ◆ showCheckBox()

void ExprFileDialog::showCheckBox | ( |  | ) |

Definition at line 356 of file ExprFileDialog.cpp.

References _cb.

## ◆ showComboBox()

void ExprFileDialog::showComboBox | ( |  | ) |

Definition at line 380 of file ExprFileDialog.cpp.

References _combo, and _combolabel.

## Member Data Documentation

## ◆ _cb

QCheckBox* ExprFileDialog::_cb
| private

Definition at line 97 of file ExprFileDialog.h.

Referenced by addCheckBox(), checkBoxStatus(), ExprFileDialog(), hideCheckBox(), and showCheckBox().

## ◆ _combo

QComboBox* ExprFileDialog::_combo
| private

Definition at line 99 of file ExprFileDialog.h.

Referenced by addCheckBox(), addComboBox(), ExprFileDialog(), getComboBox(), hideComboBox(), and showComboBox().

## ◆ _combolabel

QLabel* ExprFileDialog::_combolabel
| private

Definition at line 98 of file ExprFileDialog.h.

Referenced by addComboBox(), ExprFileDialog(), hideComboBox(), and showComboBox().

## ◆ _createDir

bool ExprFileDialog::_createDir
| private

Definition at line 95 of file ExprFileDialog.h.

Referenced by ExprFileDialog(), getExistingOrNewDirectory(), and handleOk().

## ◆ _favDir

QString ExprFileDialog::_favDir
| private

Definition at line 90 of file ExprFileDialog.h.

Referenced by addFavoritesButton(), ExprFileDialog(), and gotoFavorites().

## ◆ _lookInList

QStringList ExprFileDialog::_lookInList
| private

Definition at line 92 of file ExprFileDialog.h.

Referenced by restoreLookInEntries(), and saveLookInEntries().

## ◆ _nameEdit

QLineEdit* ExprFileDialog::_nameEdit
| private

Definition at line 93 of file ExprFileDialog.h.

Referenced by editReturnPress(), ExprFileDialog(), and handleOk().

## ◆ _okButton

QPushButton* ExprFileDialog::_okButton
| private

Definition at line 94 of file ExprFileDialog.h.

Referenced by ExprFileDialog(), handleOk(), and setButtonName().

## ◆ _pw

ExprPreviewWidget* ExprFileDialog::_pw
| private

Definition at line 96 of file ExprFileDialog.h.

Referenced by ExprFileDialog(), resetPreview(), selChanged(), and setPreview().

## ◆ _temppath

QString ExprFileDialog::_temppath
| private

Definition at line 91 of file ExprFileDialog.h.

Referenced by ExprFileDialog(), handleOk(), and resetDir().

## ◆ _workingDirectory

QString ExprFileDialog::_workingDirectory
| private

Definition at line 90 of file ExprFileDialog.h.

Referenced by getExistingDirectory(), getOpenFileName(), getOpenFileNames(), and getSaveFileName().

The documentation for this class was generated from the following files:

- /build/seexpr/src/SeExpr/src/SeExpr2/UI/ExprFileDialog.h
- /build/seexpr/src/SeExpr/src/SeExpr2/UI/ExprFileDialog.cpp